| Irrlicht 3D Engine |

Namespaces | Enumerations
EDebugSceneTypes.h File Reference

Go to the source code of this file.

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::scene

    All scene management can be found in this namespace: Mesh loading, special scene nodes like octrees and billboards, ...

## Enumerations

- enum irr::scene::E_DEBUG_SCENE_TYPE {
  irr::scene::EDS_OFF = 0, irr::scene::EDS_BBOX = 1, irr::scene::EDS_NORMALS = 2, irr::scene::EDS_SKELETON = 4,
  irr::scene::EDS_MESH_WIRE_OVERLAY = 8, irr::scene::EDS_HALF_TRANSPARENCY = 16, irr::scene::EDS_BBOX_BUFFERS = 32, irr::scene::EDS_BBOX_ALL = EDS_BBOX | EDS_BBOX_BUFFERS,
  irr::scene::EDS_FULL = 0xffffffff
  }
    An enumeration for all types of debug data for built-in scene nodes (flags) More...